Skip to main content
PATCH
/
v1
/
organisations
/
{organisationId}
/
locations
/
{locationId}
/
registrations
Update registration
curl --request PATCH \
  --url https://api.halth.com/v1/organisations/{organisationId}/locations/{locationId}/registrations \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "id": "<string>",
  "name": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "timeZone": "<string>",
  "address": {
    "line1": "<string>",
    "line2": "<string>",
    "suburb": "<string>",
    "city": "<string>",
    "state": "<string>",
    "postcode": "<string>",
    "country": "<string>",
    "countryCode": "<string>"
  },
  "suggestedTaxIdentifier": "<string>",
  "bookingCustomText": "<string>",
  "businessId": "<string>",
  "business": {
    "id": "<string>",
    "name": "<string>",
    "settings": {
      "autoReconciliationEnabled": true,
      "autoInviteClientsEnabled": true
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "taxIdentifier": "<string>",
    "countryCode": "<string>",
    "merchantId": "<string>",
    "capabilities": [
      {}
    ],
    "events": {}
  },
  "email": "<string>",
  "registrations": [
    {
      "medicare": {
        "minorId": "<string>",
        "prodaLocationId": "<string>",
        "status": "<string>",
        "providerAgreementSubmissionUrl": "<string>",
        "isUsingOtherClaimSoftware": true
      },
      "phi": {
        "phiLocationId": "<string>",
        "status": "<string>"
      }
    }
  ],
  "organisationId": "<string>",
  "organisation": {
    "id": "org_31XEcUshz1ymodA14HALnyP48g1",
    "name": "Acme Healthcare",
    "slug": "acme-healthcare",
    "createdAt": "2023-01-15T10:30:00Z",
    "bookingsEnabled": true,
    "brandImageUrl": "https://example.com/brand-image.png",
    "wordmarkImageUrl": "https://example.com/wordmark-image.png",
    "websiteUrl": "https://example.com"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.halth.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

organisationId
string
required
locationId
string
required

Body

application/json
type
enum<string>
required

The type of registration to update

Available options:
medicare,
phi
medicare
object

Response

200 - application/json
id
string
required
name
string
required
createdAt
string<date-time>
required
timeZone
string
required
address
object
required
suggestedTaxIdentifier
string
bookingCustomText
string
businessId
string
business
object
email
string
registrations
object[]
organisationId
string
organisation
object